<?php
/**
 * @version    1.02.0002
 * @package    DWClearContacts
 * @author     Factory.DocWriter.Ru {@link http://factory.docwriter.ru}
 * @author     Created on 22-Jul-2010
 * @copyright  2010 Factory.DocWriter.Ru
 * @license    GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @since      File available since Release 1.00
 */

//-- No direct access
defined('_JEXEC') or die('Direct access not alowed.');

/**
 * Helper class for DWClearContacts
 */
class ModDWClearContactsHelper
{

    /**
     * Get the formatted address strgin.
     * 
     * @param object &$row contact data item
     * @param object &$params module parameters object
     * @return string formatted address string
     */
    function getFormattedAddress (&$row, &$params) {
        
        $result = '';
        $attributes = array();
        
        switch ($params->get('address_format', 1)) {
            case 2: // Zip Country State City Street
                if ($row->postcode != '') { 
                    $attributes[] = '<span class="dwcc_zip">' . $row->postcode . '</span>';
                }
                if ($row->country != '') { 
                    $attributes[] = '<span class="dwcc_country">' . $row->country . '</span>';
                }
                if ($row->state != '') { 
                    $attributes[] = '<span class="dwcc_state">' . $row->state . '</span>';
                }
                if ($row->suburb != '') { 
                    $attributes[] = '<span class="dwcc_city">' . $row->suburb . '</span>';
                }
                if ($row->address != '') {
                    $attributes[] = '<span class="dwcc_street">' . $row->address . '</span>';
                }
                break;
            case 1: // Zip Street City State Coutnry
            default:
                if ($row->postcode != '') { 
                    $attributes[] = '<span class="dwcc_zip">' . $row->postcode . '</span>';
                }
                if ($row->address != '') {
                    $attributes[] = '<span class="dwcc_street">' . $row->address . '</span>';
                }
                if ($row->suburb != '') { 
                    $attributes[] = '<span class="dwcc_city">' . $row->suburb . '</span>';
                }
                if ($row->state != '') { 
                    $attributes[] = '<span class="dwcc_state">' . $row->state . '</span>';
                }
                if ($row->country != '') { 
                    $attributes[] = '<span class="dwcc_country">' . $row->country . '</span>';
                }
                break;
        }
        
        $result = implode(' ', $attributes);
    
        return $result;
    }
    
    /**
     * Returns contact data
     *
     * @param integer $contactId contact ID
     * @return object contact data item
     */
    function getRow ($contactId)
    {
        //-- Get a reference to the database
        $db = &JFactory::getDBO();

        //-- Get a list of all users
        $query = "SELECT * FROM `#__contact_details` WHERE `id` = '$contactId'";
        $db->setQuery($query);
        $db->query();

        $row = ($row = $db->loadObject()) ? $row : array();

        return $row;
    } //function

} //class
